Bug 109499 - chage -l improperly reports zero val in account expiration field
chage -l improperly reports zero val in account expiration field
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-08 13:42 EST by Brad Smith
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 05:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2003-11-08 13:42:15 EST
Description of problem:
If the account expiration value is set to zero, the account is set to
expire zero days after the epoch ie 01/01/70, which effectively
disables the account. However, chage -l lists values <=0 as 'Never'.

Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-6

How reproducible:
Every time

Steps to Reproduce:
1.chage -l foo    //will show user foo's expire date as 'Never'
2.chage -E0 foo   
3.chage -l foo    //still 'Never'
4.su - foo        //'Account Expired' message
  
Actual results:
'chage -l' shows 'Never', even though the account is expired

Expected results:
Should show account expiration date of 01/01/1970

Additional info:
'chage -E1 foo ; chage -l foo' produces the expected results
(01/02/1970, in this case)

Note You need to log in before you can comment on or make changes to this bug.